Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.dtfj.image
Class MemoryAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.dtfj.image.DTFJException
                  com.ibm.dtfj.image.MemoryAccessException

All Implemented Interfaces:
  java.io.Serializable

    public class MemoryAccessException

extends DTFJException

Indicates that an attempt was made to access memory which is not included within the image

Author:
  pburka
See Also:
  Serialized Form

Constructor Summary
`MemoryAccessException(ImagePointer badPointer)` Build exception fro the given location and description
`MemoryAccessException(ImagePointer badPointer, java.lang.String description)` Build exception fro the given location and description

Method Summary
`ImagePointer` | `getPointer()` Get a pointer into the image where the access failed.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MemoryAccessException

    public MemoryAccessException(ImagePointer badPointer,
                                 java.lang.String description)

  Build exception fro the given location and description

  Parameters:
    `badPointer` - the location which caused the access exception
    `description` - text description

### MemoryAccessException

    public MemoryAccessException(ImagePointer badPointer)

  Build exception fro the given location and description

  Parameters:
    `badPointer` - the location which caused the access exception

Method Detail

### getPointer

    public ImagePointer getPointer()

  Get a pointer into the image where the access failed.

  Returns:
    The pointer into the image where the access failed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD